#ifndef _DYNAMIC_STRING_H_
#define _DYNAMIC_STRING_H_

#define CHUNK_SIZE 64

typedef struct _dyn_string {
	int capacity, used;
	char *str;
} Dynamic_str;

int init_string(Dynamic_str *ds);
int init_string_size(Dynamic_str *ds, int size); 
void release_string(Dynamic_str *ds);
int append_string(Dynamic_str *ds, char *astr);
int reallocate_dynamicstring(Dynamic_str *ds, int desired_capacity);
int insert_string_at_position(Dynamic_str *ds, int position, char *astr); 

#endif
