#include <stdio.h>
#include <string.h>
#include "optype.h"
#include "fabx_parser.h"

int main(int argc, char **argv) {
	char *pom, *pomm,*p,*q;
	char buffer[32];
	OPTYPE el;
	int st;
	
	if (argc<2) {
		fprintf(stderr,"Usage: %s \"input\".\n", argv[0]);
		return 0;
	}

	pom=argv[1];
	

#ifdef DEBUG
	printf("Parsed: `%s`\n", pom);
#endif
	while ((st=parse_next_element_fabx_ver5(pom, &pomm, &el))==0) {
		printf("Id: %d\n", el);
#ifdef DEBUG
		printf("Parsed: `%s`\n", pomm);
#endif
		pom=pomm;
	}
	if (st==-1) {
		while (*pom==' ' || *pom=='\t') pom++;
#ifdef DEBUG
		printf("II: `%s`\n", pom);
#endif
		q=buffer;
		for (p =pom;p<pomm;p++) *q++=*p++;
		*q='\0';	
		printf("Syntax error.\n");
		printf("%s\n",argv[1]);
		for (pom=argv[1];pom<pomm;pom++) printf(" ");
		printf("^\n");	
		if (!strcmp(buffer,"")) return -1;
		list_ambiguity(buffer);
		return -1;			
	}
	
	printf("Id: %d\n", el);
#ifdef DEBUG
	printf("Parsed: `%s`\n", pomm);
#endif	
	return 0;
}
