#ifndef _FABX_RPN_H_
#define _FABX_RPN_H_

#include "dyn_string.h"
/* LASTARG_MODE - special treatment of closing parenthesis - either end of expression in argument or closing parenthesis in the call of the function*/
typedef enum {NORMAL_MODE, LASTARG_MODE} t_parser_state;

/* Internal */
void display_error(char *parsed, char *pom_pom); 
void append_int_to_rpn(Dynamic_str *rpn_str, int number); 

/* RPN */
int to_RPN_ver5_autodetect(char *parsed, int *no_of_gen, Dynamic_str *output);
int to_RPN_ver6_autodetect(char *parsed, char **pom_pom, int *no_of_gen, Dynamic_str *output, t_parser_state state); 

#endif
