#ifndef _BERAN_CONST_RPN_H_
#define _BERAN_CONST_RPN_H_
const char *beran_const_rpn[] = {
/* 01 */ "00",
/* 02 */ "0ab^",
/* 03 */ "0ab'^",
/* 04 */ "0a'b^",
/* 05 */ "0a'b'^",
/* 06 */ "0ab^ab'^v",
/* 07 */ "0ab^a'b^v",
/* 08 */ "0ab^a'b'^v",
/* 09 */ "0ab'^a'b^v",
/* 10 */ "0ab'^a'b'^v",
/* 11 */ "0a'b^a'b'^v",
/* 12 */ "0ab^ab'^va'b^v",
/* 13 */ "0ab^ab'^va'b'^v",
/* 14 */ "0ab^a'b^va'b'^v",
/* 15 */ "0ab'^a'b^va'b'^v",
/* 16 */ "0ab^ab'^va'b^va'b'^v",
/* 17 */ "0aa'bv^a'b'v^",
/* 18 */ "0aa'bv^",
/* 19 */ "0aa'b'v^",
/* 20 */ "0a'b^aa'bv^a'b'v^v",
/* 21 */ "0a'b'^aa'bv^a'b'v^v",
/* 22 */ "0a",
/* 23 */ "0a'bvaa'b^v^",
/* 24 */ "0a'bvaa'b'^v^",
/* 25 */ "0a'b'vaa'b^v^",
/* 26 */ "0a'b'vaa'b'^v^",
/* 27 */ "0a'b'va'bv^aa'b'^va'b^v^",
/* 28 */ "0aa'b^v",
/* 29 */ "0aa'b'^v",
/* 30 */ "0a'bvaa'b'^va'b^v^",
/* 31 */ "0a'b'vaa'b^va'b'^v^",
/* 32 */ "0aa'b^va'b'^v",
/* 33 */ "0bab'v^a'b'v^",
/* 34 */ "0bab'v^",
/* 35 */ "0ab'^bab'v^a'b'v^v",
/* 36 */ "0ba'b'v^",
/* 37 */ "0a'b'^bab'v^a'b'v^v",
/* 38 */ "0ab'vbab'^v^",
/* 39 */ "0b",
/* 40 */ "0ab'vba'b'^v^",
/* 41 */ "0a'b'vbab'^v^",
/* 42 */ "0a'b'vab'v^bab'^va'b'^v^",
/* 43 */ "0a'b'vba'b'^v^",
/* 44 */ "0bab'^v",
/* 45 */ "0ab'vba'b'^vab'^v^",
/* 46 */ "0ba'b'^v",
/* 47 */ "0a'b'vbab'^va'b'^v^",
/* 48 */ "0bab'^va'b'^v",
/* 49 */ "0b'abv^a'bv^",
/* 50 */ "0ab^b'a'bv^abv^v",
/* 51 */ "0b'abv^",
/* 52 */ "0a'b^b'abv^a'bv^v",
/* 53 */ "0b'a'bv^",
/* 54 */ "0abvb'ab^v^",
/* 55 */ "0abva'bv^b'ab^va'b^v^",
/* 56 */ "0a'bvb'ab^v^",
/* 57 */ "0abvb'a'b^v^",
/* 58 */ "0b'",
/* 59 */ "0a'bvb'a'b^v^",
/* 60 */ "0abvb'a'b^vab^v^",
/* 61 */ "0b'ab^v",
/* 62 */ "0a'bvb'a'b^vab^v^",
/* 63 */ "0b'a'b^v",
/* 64 */ "0b'a'b^vab^v",
/* 65 */ "0a'ab'v^abv^",
/* 66 */ "0ab^a'ab'v^abv^v",
/* 67 */ "0ab'^a'abv^ab'v^v",
/* 68 */ "0a'abv^",
/* 69 */ "0a'ab'v^",
/* 70 */ "0abvab'v^a'ab^vab'^v^",
/* 71 */ "0abva'ab^v^",
/* 72 */ "0ab'va'ab^v^",
/* 73 */ "0abva'ab'^v^",
/* 74 */ "0ab'va'ab'^v^",
/* 75 */ "0a'",
/* 76 */ "0abva'ab'^vab^v^",
/* 77 */ "0ab'va'ab^vab'^v^",
/* 78 */ "0a'ab^v",
/* 79 */ "0a'ab'^v",
/* 80 */ "0a'ab'^vab^v",
/* 81 */ "0abvab'v^a'bv^a'b'v^",
/* 82 */ "0abvab'v^a'bv^",
/* 83 */ "0abvab'v^a'b'v^",
/* 84 */ "0a'b'va'bv^abv^",
/* 85 */ "0a'b'va'bv^ab'v^",
/* 86 */ "0abvab'v^",
/* 87 */ "0abva'bv^",
/* 88 */ "0a'bvab'v^",
/* 89 */ "0abva'b'v^",
/* 90 */ "0a'b'vab'v^",
/* 91 */ "0a'b'va'bv^",
/* 92 */ "0abv",
/* 93 */ "0ab'v",
/* 94 */ "0a'bv",
/* 95 */ "0a'b'v",
/* 96 */ "01",
};
#endif
