#include <stdio.h>
#include "fab.h"

/* pointer to functions representing the implication (one of the imp0_fab-imp5_fab) */
typedef FAB (*Imp)(FAB,FAB);


void test_imp2_fab(Imp imp) {
printf("Left:\n");
	pr_fab(cA);
printf("Right:\n");
	pr_fab(
		(*imp)(A,O)
	);
}

void test_imp(Imp imp) {
printf("Left:\n");
	pr_fab(j_fab(A,B));
printf("Right:\n");
pr_fab(	(*imp)(
		(*imp)(A,B), 
		(*imp)(
			(*imp)(
				(*imp)(A,B),
				(*imp)(B,A)
			),
			A
		)
	)
);
}

void AxA1(Imp imp) {
	pr_fab(
		(*imp)(
			A,
			(*imp)(
				(*imp)(A,0),
				0
			)
		)
	);
	

	pr_fab(
		(*imp)(
			(*imp)(
				(*imp)(A,0),
				0
			),
			A
		)
	);
}

void AxA2(Imp imp) {
	pr_fab(
		(*imp)(
			A,
			(*imp)(
				(*imp)(A,B),
				(*imp)(
					(*imp)(
						(*imp)(A,B),
						(*imp)(B,A)
					),
					A
				)
			)
		)
	);
}

void AxA3(Imp imp) {
	pr_fab(
		(*imp)(
			B,
			(*imp)(
				(*imp)(A,B),
				(*imp)(
					(*imp)(
						(*imp)(A,B),
						(*imp)(B,A)
					),
					A
				)
			)
		)
	);
}

void AxA4(Imp imp) {
printf("Left1:\n");
	pr_fab(
		(*imp)(A,I)
	);

printf("Right1:\n");
	pr_fab(I);

printf("Left2:\n");
	pr_fab((*imp)(I,A));
printf("Right2:\n");
	pr_fab(A);
}


void ruleR1(Imp imp) {
	pr_fab(	(*imp)(A,B));
	printf(" equals to \n");
	pr_fab(	I);
	printf("imply \n");
	pr_fab(	(*imp)(
			(*imp)(B,O),
			(*imp)(A,O)
		)
	);
	printf(" equals to\n");
	pr_fab(	I);
}

void ruleR4(Imp imp) {
	pr_fab(	(*imp)(A,B));
	printf(" equals to \n");
	pr_fab(	I);
	printf(" and");
	pr_fab(	(*imp)(B,A));
	printf(" equals to \n");
	pr_fab(	I);
	printf(" imply\n");
	pr_fab(	A);
	printf(" equals to \n");
	pr_fab(	B);		
}


void ruleR5q(Imp imp) {
	pr_fab(	(*imp)(
			(*imp)(
				A,
				(*imp)(B,O)
			),
			
			(*imp)(
				(*imp)(
					(*imp)(
						A,
						(*imp)(B,O)
					),
					(*imp)(
						(*imp)(B,O),
						A
					)
				),
				A
			)
			
		)
	);
	printf(" equals to \n");
	pr_fab(	I);
	printf(" and\n");
	pr_fab(	(*imp)(A,B));
	printf(" equals to \n");
	pr_fab(	I);
	printf(" imply\n");
	pr_fab(	(*imp)(B,A));
	printf(" equals to \n");
	pr_fab(	I);
}

void ruleR5c(Imp imp) {
	pr_fab(	(*imp)(
			(*imp)(
				A,
				(*imp)(B,O)
			),
			
			(*imp)(
				(*imp)(
					(*imp)(
						A,
						(*imp)(B,O)
					),
					(*imp)(
						(*imp)(B,O),
						A
					)
				),
				A
			)
			
		)
	);
	printf(" equals to \n");
	pr_fab(	I);
	printf(" imply\n");
	pr_fab(	(*imp)(A,B));
	printf(" equals to \n");
	pr_fab(	I);
}

int main() {
	pr_fab(sp_fab(A,B));
	tex_fab(A);printf("\n");
	pr_fab(A);
	C_pr_fab(A,B);
	D_pr_fab(B,A);
	pr_fab(sj_fab(A,B));
	pt_fab(sm_fab(A,cB));
	pr_fab(imp3_fab(A,B));
	
	printf("-------------------------\n");
	test_imp(&imp0_fab);
	test_imp(&imp1_fab);
	test_imp(&imp2_fab);
	test_imp(&imp3_fab);
	test_imp(&imp4_fab);
	test_imp(&imp5_fab);
	printf("----------------------------###----\n");
	test_imp2_fab(&imp0_fab);
	test_imp2_fab(&imp1_fab);
	test_imp2_fab(&imp2_fab);
	test_imp2_fab(&imp3_fab);
	test_imp2_fab(&imp4_fab);
	test_imp2_fab(&imp5_fab);
	
	printf("-#-#-#-#-#-#-#-#_#-#-#-#-#-#-#-#-#-\n");
	
	printf("AxA1 - imp0_fab:\n");
	AxA1(&imp0_fab);
	printf("AxA1 - imp1_fab:\n");
	AxA1(&imp1_fab);
	printf("AxA1 - imp2_fab:\n");
	AxA1(&imp2_fab);
	printf("AxA1 - imp3_fab:\n");
	AxA1(&imp3_fab);
	printf("AxA1 - imp4_fab:\n");
	AxA1(&imp4_fab);
	printf("AxA1 - imp5_fab:\n");
	AxA1(&imp5_fab);

	printf("AxA2 - imp0_fab:\n");
	AxA2(&imp0_fab);
	printf("AxA2 - imp1_fab:\n");
	AxA2(&imp1_fab);
	printf("AxA2 - imp2_fab:\n");
	AxA2(&imp2_fab);
	printf("AxA2 - imp3_fab:\n");
	AxA2(&imp3_fab);
	printf("AxA2 - imp4_fab:\n");
	AxA2(&imp4_fab);
	printf("AxA2 - imp5_fab:\n");
	AxA2(&imp5_fab);

	printf("AxA3 - imp0_fab:\n");
	AxA3(&imp0_fab);
	printf("AxA3 - imp1_fab:\n");
	AxA3(&imp1_fab);
	printf("AxA3 - imp2_fab:\n");
	AxA3(&imp2_fab);
	printf("AxA3 - imp3_fab:\n");
	AxA3(&imp3_fab);
	printf("AxA3 - imp4_fab:\n");
	AxA3(&imp4_fab);
	printf("AxA3 - imp5_fab:\n");
	AxA3(&imp5_fab);

	printf("AxA4 - imp0_fab:\n");
	AxA4(&imp0_fab);
	printf("AxA4 - imp1_fab:\n");
	AxA4(&imp1_fab);
	printf("AxA4 - imp2_fab:\n");
	AxA4(&imp2_fab);
	printf("AxA4 - imp3_fab:\n");
	AxA4(&imp3_fab);
	printf("AxA4 - imp4_fab:\n");
	AxA4(&imp4_fab);
	printf("AxA4 - imp5_fab:\n");
	AxA4(&imp5_fab);


	printf("RuleR1 - imp0_fab:\n");
	ruleR1(&imp0_fab);
	printf("RuleR1 - imp1_fab:\n");
	ruleR1(&imp1_fab);
	printf("RuleR1 - imp2_fab:\n");
	ruleR1(&imp2_fab);
	printf("RuleR1 - imp3_fab:\n");
	ruleR1(&imp3_fab);
	printf("RuleR1 - imp4_fab:\n");
	ruleR1(&imp4_fab);
	printf("RuleR1 - imp5_fab:\n");
	ruleR1(&imp5_fab);

	printf("RuleR4 - imp0_fab:\n");
	ruleR4(&imp0_fab);
	printf("RuleR4 - imp1_fab:\n");
	ruleR4(&imp1_fab);
	printf("RuleR4 - imp2_fab:\n");
	ruleR4(&imp2_fab);
	printf("RuleR4 - imp3_fab:\n");
	ruleR4(&imp3_fab);
	printf("RuleR4 - imp4_fab:\n");
	ruleR4(&imp4_fab);
	printf("RuleR4 - imp5_fab:\n");
	ruleR4(&imp5_fab);

	printf("RuleR5q - imp0_fab:\n");
	ruleR5q(&imp0_fab);
	printf("RuleR5q - imp1_fab:\n");
	ruleR5q(&imp1_fab);
	printf("RuleR5q - imp2_fab:\n");
	ruleR5q(&imp2_fab);
	printf("RuleR5q - imp3_fab:\n");
	ruleR5q(&imp3_fab);
	printf("RuleR5q - imp4_fab:\n");
	ruleR5q(&imp4_fab);
	printf("RuleR5q - imp5_fab:\n");
	ruleR5q(&imp5_fab);

	printf("RuleR5c - imp0_fab:\n");
	ruleR5c(&imp0_fab);
	printf("RuleR5c - imp1_fab:\n");
	ruleR5c(&imp1_fab);
	printf("RuleR5c - imp2_fab:\n");
	ruleR5c(&imp2_fab);
	printf("RuleR5c - imp3_fab:\n");
	ruleR5c(&imp3_fab);
	printf("RuleR5c - imp4_fab:\n");
	ruleR5c(&imp4_fab);
	printf("RuleR5c - imp5_fab:\n");
	ruleR5c(&imp5_fab);
	printf("------------------------------------------\n");
	printf("Upper commutator:\n");
	pr_fab(uc_fab(A,B));
	printf("Lower commutator:\n");
	pr_fab(lc_fab(A,B));
	printf(">>> Symmetric Differences <<<\n");
	ptb_fab(sdd_fab(A,B));
	ptb_fab(sdu_fab(A,B));
	ptb_fab(sdl_fab(A,B));
	ptb_fab(sdr_fab(A,B));
	ptb_fab(sdlp_fab(A,B));
	ptb_fab(sdrp_fab(A,B));
	return 0;



}

