#include <stdio.h>
#include "fabx_parser.h"
#include "fabx_rpn.h"
#include "dyn_string.h"

void test_expression(char *input_str) {
	char *pom_pom;
	Dynamic_str output;
	int value;

	printf("Expression: %s\n", input_str);
	init_string(&output);
	to_RPN_ver6_autodetect(input_str, &pom_pom, &value, &output,NORMAL_MODE);
	printf("RPN: %s\n", output.str);
	release_string(&output);
}

int main() {
	char *pom="(B1(22) v B1(33) ^ (b v a)') sv B3(11, avb, a^b)";
	char *pom2="B3(11,B3(12,a^b,avb),B1(10))";
	char *pom3="B3(11,a,b) = B1(11)";
	char *pom4="B3(11,a,b)'";

	test_expression(pom);	
	printf("---\n");
	test_expression(pom2);	
	printf("---\n");
	test_expression(pom3);	
	printf("---\n");
	test_expression(pom4);	
	printf("---\n");
	return 0;
}
